#!/bin/sh
# Updated : September 18, 2017
# Author  : Romnick C. Coros

. /tmp/openit-cfg-shenv

LIBEXEC="$ROOT_DIR/libexec"
HTTPDCONF="$CONFIG_DIR/httpd/httpd.conf"
PHPINI="/etc/opt/openit/php.ini"
FOLDER=""

#Check which architecture we have
if [ `uname` = "Linux" ]; then
	#Copy the new php binary
	if [ `uname -p` = "i686" ]; then
		FOLDER="i686-redhat-linux"
	else
		FOLDER="x86_64-unknown-linux"
	fi
fi

# Make sure that the httpd is stopped already before we copy the php binary
count=`ps -ef | grep httpd | grep openit | grep libexec | wc -l`
while [ $count -gt 0 ]
do
	count=`ps -ef | grep httpd | grep openit | grep libexec | wc -l`
done

#Copy the new binary to the installation
cp files/bin/$FOLDER/php "$LIBEXEC/$FOLDER/bin/php"
cp files/bin/$FOLDER/httpd "$LIBEXEC/$FOLDER/bin/httpd"


#Remove Ciphers with Triple DES
sed -i -e 's/:ECDH+3DES:/:/g' $HTTPDCONF
sed -i -e 's/:RSA+3DES:/:/g' $HTTPDCONF
sed -i -e 's/:DH+3DES:/:/g' $HTTPDCONF

#Disable TLSv1 and TLSv1.1
sed -i -e 's/all -SSLv2 -SSLv3/all -SSLv2 -SSLv3 -TLSv1 -TLSv1.1/g' $HTTPDCONF

#Remove ServerTokens and ServerSignature if it's there
sed -i -e '/ServerTokens Prod/d' $HTTPDCONF
sed -i -e '/ServerSignature Off/d' $HTTPDCONF

#Add ServerToken and ServerSignature
sed -i -e '/Group/ a\
ServerTokens Prod' $HTTPDCONF
sed -i -e '/ServerTokens/ a\
ServerSignature Off' $HTTPDCONF
sed -i -e 's/ServerTokens/\n&/g' $HTTPDCONF

#Set Expose_PHP to Off
sed -i -e '/expose_php/d' $PHPINI
sed -i -e '$ a\
  expose_php = Off' $PHPINI

